import { text, pgTable, timestamp, uuid, jsonb } from "drizzle-orm/pg-core";
import { createInsertSchema, createSelectSchema } from "drizzle-zod";
import { z } from "zod";

export const commandLog = pgTable(
    "commandLog",
    {
        commandLog_id: uuid("commandLog_id").defaultRandom().primaryKey(),
        commandUsed: text("commandUsed").notNull(),
        bodySent: jsonb("bodySent").default([]),
        reasonUsed: text("reasonUsed"),
        add_at: timestamp("add_Date").defaultNow(),
    },
    (table) => [
        // uniqueIndex('emailUniqueIndex').on(sql`lower(${table.email})`),
        // uniqueIndex("role_name").on(table.name),
    ]
);

// Schema for inserting a user - can be used to validate API requests
// export const insertRolesSchema = createInsertSchema(roles, {
//     name: z.string().min(3, {message: "Role name must be more than 3 letters"}),
// });
// Schema for selecting a Expenses - can be used to validate API responses
export const selectRolesSchema = createSelectSchema(commandLog);
